Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.widgets.zoom
Interface LargeZoomWidget.Images

All Superinterfaces:
  ClientBundle

Enclosing class:
  LargeZoomWidget

    public static interface LargeZoomWidget.Images

extends ClientBundle

A bundle of images used by the widget.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle
`ClientBundle.Source`

Method Summary
`ImageResource` | `bottom()` Returns the image resource of the ladder's bottom.
`ImageResource` | `mark()` Returns the image resource of the ladder's mark.
`ImageResource` | `step()` Returns the image resource of the ladder's steps.
`ImageResource` | `top()` Returns the image resource of the ladder's top.
`ImageResource` | `zoomIn()` Returns the image resource of the zoom-in button.
`ImageResource` | `zoomOut()` Returns the image resource of the zoom-out button.

Method Detail

### zoomIn

    @ClientBundle.Source(value="zoomIn.png")
    ImageResource zoomIn()

  Returns the image resource of the zoom-in button.

### zoomOut

    @ClientBundle.Source(value="zoomOut.png")
    ImageResource zoomOut()

  Returns the image resource of the zoom-out button.

### top

    @ClientBundle.Source(value="top.png")
    ImageResource top()

  Returns the image resource of the ladder's top.

### bottom

    @ClientBundle.Source(value="bottom.png")
    ImageResource bottom()

  Returns the image resource of the ladder's bottom.

### step

    @ClientBundle.Source(value="step.png")
    ImageResource step()

  Returns the image resource of the ladder's steps.

### mark

    @ClientBundle.Source(value="mark.png")
    ImageResource mark()

  Returns the image resource of the ladder's mark.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD